## nautilus-property-page-provider nautilus-property-page-provider |

## Synopsis

                        NautilusPropertyPageProvider;
                        NautilusPropertyPageProviderIface;
    GList *             nautilus_property_page_provider_get_pages
                                                            (NautilusPropertyPageProvider *provider,
                                                             GList *files);

## Object Hierarchy

      GInterface
       +----NautilusPropertyPageProvider

## Prerequisites

NautilusPropertyPageProvider requires GObject.

## Description

## Details

### NautilusPropertyPageProvider

    typedef struct _NautilusPropertyPageProvider NautilusPropertyPageProvider;

### NautilusPropertyPageProviderIface

    typedef struct {
    	GTypeInterface g_iface;

    	GList *(*get_pages) (NautilusPropertyPageProvider     *provider,
    			     GList                    *files);
    } NautilusPropertyPageProviderIface;

### nautilus_property_page_provider_get_pages ()

    GList *             nautilus_property_page_provider_get_pages
                                                            (NautilusPropertyPageProvider *provider,
                                                             GList *files);

`provider` : |
`files` : |
Returns : |